MKFS.MINIX(8)

NOME
mkfs.minix - cria um sistema de arquivos de Minix

SINOPSE

mkfs.minix [options] device [size-in-blocks]

DESCRIÇÃO

mkfs.minix creates a Linux MINIX filesystem on a device (usually a disk partition).

O dispositivo geralmente tem o seguinte formato:

    /dev/hda[1-8] (IDE disco 1)
    /dev/hdb[1-8] (IDE disco 2)
    /dev/sda[1-8] (SCSI disco 1)
    /dev/sdb[1-8] (SCSI disco 2)

O dispositivo pode ser um dispositivo de bloco ou um arquivo de imagem de um, mas isso não é obrigatório. Não espere muita diversão em um dispositivo de caracteres :-).

O parâmetro tamanho-em-blocos é o tamanho desejado do sistema de arquivos, em blocos. Ele está presente apenas para compatibilidade com versões anteriores. Se omitido, o tamanho será determinado automaticamente. Somente contagens de blocos estritamente maiores que 10 e estritamente menores que 65536 são permitidas.

OPÇÕES

-c, --check
    Verifica se há blocos defeituosos no dispositivo antes de criar o sistema de arquivos. Se algum for encontrado, a contagem é impressa.

-n, --namelength comprimento
    Especifica o comprimento máximo dos nomes de arquivo. Atualmente, os únicos valores permitidos são 14 e 30 para as versões 1 e 2 do sistema de arquivos. A versão 3 permite apenas o valor 60. O padrão é 30.

--lock[=mode]
    Use an exclusive BSD lock for the device or file that is operated upon. The optional argument mode can be yes (1), no (0), or nonblock. If the mode argument is omitted, it defaults to yes. This option overrides the environment variable $LOCK_BLOCK_DEVICE. The default is to not use any lock at all, but using a lock is recommended to avoid collisions with systemd-udevd(8) or other tools.

-i, --inodes número
    Especifica o número de inodes para o sistema de arquivos.

-l, --badblocks arquivo
    Lê a lista de blocos inválidos de arquivo. O arquivo tem um número de bloco inválido por linha. A contagem de blocos inválidos lidos é impressa.

-1
    Cria um sistema de arquivos Minix versão 1. Este é o padrão.

-2, -v
    Cria um sistema de arquivos Minix versão 2.

-3
    Cria um sistema de arquivos Minix versão 3.

-h, --help
    Exibe um texto de ajuda e sai.

-V, --version
    Display version and exit. The long option cannot be combined with other options.

AMBIENTE

LOCK_BLOCK_DEVICE=<modo>
    usa trava exclusiva do BSD. O modo é "1" ou "0". Veja --lock para mais detalhes.

STATUS DE SAÍDA

O status de saída retornado por mkfs.minix é um dos seguintes:

0
    Nenhum erro

8
    Erro operacional

16
    Erro de uso ou de sintaxe

VEJA TAMBÉM

fsck(8), mkfs(8), reboot(8)

RELATANDO PROBLEMAS

For bug reports, use the

DISPONIBILIDADE

O comando mkfs.minix é parte do pacote util-linux que pode ser baixado do